Pricefx REST API Reference
The Pricefx Backend API
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/update/C
- URL:https://companynode.pricefx.com/pricefx/companypartition/update/C
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/update/C \
-H 'Content-Type: application/json' \
-d '{
"data": {
"attribute1": "Derry Lane 11",
"attribute2": "+44123456789",
"typedId": "2147492216.C"
},
"oldValues": {
"version": 0,
"typedId": "2147492216.C",
"customerId": "00003",
"name": "Kate Smith",
"parentId": null,
"userGroupEdit": null,
"userGroupViewDetails": null,
"nodeId": 2147492216,
"createDate": "2021-09-22T12:56:16",
"createdBy": 2147490696,
"lastUpdateDate": "2021-09-22T12:56:16",
"lastUpdateBy": 2147490696,
"attribute1": "Derry Lane",
"attribute2": "123456789",
"attribute3": null,
"attribute4": null,
"attribute5": null,
"attribute6": null,
"attribute7": null,
"attribute8": null,
"attribute9": null,
"attribute10": null,
"attribute11": null,
"attribute12": null,
"attribute13": null,
"attribute14": null,
"attribute15": null,
"attribute16": null,
"attribute17": null,
"attribute18": null,
"attribute19": null,
"attribute20": null,
"attribute21": null,
"attribute22": null,
"attribute23": null,
"attribute24": null,
"attribute25": null,
"attribute26": null,
"attribute27": null,
"attribute28": null,
"attribute29": null,
"attribute30": null,
"isParent": false
},
"operationType": "update",
"textMatchStyle": "exact"
}'- listCustomerResponseExample
- listCustomerResponseExample_resultFields
- listCustomerResponseExample_valueFields
{ "response": { "node": "string", "data": [ … ], "status": 0 } }
Request
Deletes a customer.
Only one object can be deleted per request (unless batched). Some object types may be blocked from being deleted by the update command as special processing is done by a dedicated manager command.
Note: Some object types are only soft-deleted, some are hard-deleted in the database. This behavior cannot be influenced by the client.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/delete/C
- URL:https://companynode.pricefx.com/pricefx/companypartition/delete/C
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/delete/C \
-H 'Content-Type: application/json' \
-d '{
"data": {
"typedId": "2147492214.C"
}
}'{ "response": { "node": "string", "data": [ … ], "status": 0 } }
Request
Retrieves a list of Customers. A filter can be applied (see the request sample).
You can choose fields to be returned in the response by employing the resultFields or valueFields filter:
resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the listCustomersResponseExample_resultFields response example.
valueFields: returns just an array of values. Use this option if a better performance is required. See the listCustomersResponseExample_valueFields response example.
The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results.
The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customermanager.fetchformulafilteredcustomers
- URL:https://companynode.pricefx.com/pricefx/companypartition/customermanager.fetchformulafilteredcustomers
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- listCustomersRequestExample
- listCustomersRequestExample_resultFields
- listCustomersRequestExample_valueFields
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customermanager.fetchformulafilteredcustomers \
-H 'Content-Type: application/json' \
-d '{
"endRow": 300,
"oldValues": null,
"operationType": "fetch",
"startRow": 0,
"textMatchStyle": "exact",
"data": {
"_constructor": "AdvancedCriteria",
"operator": "and",
"criteria": [
{
"fieldName": "attribute2",
"operator": "iEquals",
"value": "123456789"
}
]
}
}'- listCustomerResponseExample
- listCustomerResponseExample_resultFields
- listCustomerResponseExample_valueFields
{ "response": { "node": "string", "data": [ … ], "status": 0 } }
See the Key-Value Database Storage Knowledge Base article for more details.
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments